#
# Please do not update/rebuild/touch this package before asking first to mikala and/or neoclust
# This package is part of the KF/KDE Stack.
#

%define rel 1

Summary:        KDE Frameworks 5 Tier 1 addon with archive functions
Name:           karchive
Version: 5.32.0
Release:        %mkrel %rel
License:        GPLv2+
Group:          System/Base
Source0:        http://fr2.rpmfind.net/linux/KDE/unstable/framework/%{name}-%{version}.tar.xz
URL:            https://www.kde.org/
BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5Network)
BuildRequires:  pkgconfig(Qt5Test)
BuildRequires:  pkgconfig(Qt5Gui)
BuildRequires:  pkgconfig(Qt5Widgets)
BuildRequires:  kf5-macros
BuildRequires:  lzma-devel
BuildRequires:  bzip2-devel

%description
KDE Frameworks 5 Tier 1 addon with archive functions.

#--------------------------------------------------------------------

%define karchive_major 5
%define libkarchive %mklibname karchive %{karchive_major}

%package -n %libkarchive
Summary:      KDE Frameworks 5 Tier 1 addon with archive functions
Group:        System/Libraries


%description -n %libkarchive
KDE Frameworks 5 Tier 1 addon with archive functions.

%files -n %libkarchive
%_kf5_libdir/libKF5Archive.so.%{karchive_major}*

#--------------------------------------------------------------------

%define karchive_devel %mklibname kf5archive -d

%package -n %karchive_devel

Summary:        Devel stuff for %name
Group:          Development/KDE and Qt
Requires:       %libkarchive = %version-%release
Provides:       %name-devel = %{version}-%{release}

%description -n %karchive_devel
This package contains header files needed if you wish to build applications
based on %name.

%files -n %karchive_devel
%_kf5_includedir/KArchive
%_kf5_includedir/karchive_version.h
%_kf5_libdir/cmake/KF5Archive
%_kf5_libdir/libKF5Archive.so
%_kf5_mkspecsdir/qt_KArchive.pri

#--------------------------------------------------------------------

%prep
%setup -q

%build
%cmake_kf5
%make_build

%install
%make_install -C build



%changelog
* Mon Mar 06 2017 neoclust <neoclust> 5.32.0-1.mga6
+ Revision: 1088945
- New version 5.32.0

* Tue Dec 13 2016 neoclust <neoclust> 5.29.0-1.mga6
+ Revision: 1074516
- New version 5.29.0

* Sun Dec 04 2016 neoclust <neoclust> 5.28.0-1.mga6
+ Revision: 1072177
- New version 5.28.0

* Tue Oct 04 2016 neoclust <neoclust> 5.27.0-1.mga6
+ Revision: 1058336
- New version 5.27.0

* Thu Sep 08 2016 neoclust <neoclust> 5.26.0-1.mga6
+ Revision: 1050513
- New version 5.26.0

* Sat Aug 27 2016 daviddavid <daviddavid> 5.25.0-2.mga6
+ Revision: 1049223
- enable Qt5Network support

* Tue Aug 09 2016 neoclust <neoclust> 5.25.0-1.mga6
+ Revision: 1045091
- New version 5.25.0

* Tue Jul 12 2016 neoclust <neoclust> 5.24.0-1.mga6
+ Revision: 1041313
- New version 5.24.0

* Fri Jun 17 2016 neoclust <neoclust> 5.23.0-1.mga6
+ Revision: 1021911
- New version 5.23.0

* Thu May 12 2016 neoclust <neoclust> 5.22.0-1.mga6
+ Revision: 1014321
- New version 5.22.0

* Sat Apr 09 2016 neoclust <neoclust> 5.21.0-1.mga6
+ Revision: 999618
- New version 5.21.0

* Sun Mar 06 2016 neoclust <neoclust> 5.20.0-1.mga6
+ Revision: 986309
- New version 5.20.0

* Sun Feb 07 2016 neoclust <neoclust> 5.19.0-1.mga6
+ Revision: 942230
- New version 5.19.0

* Sun Jan 10 2016 neoclust <neoclust> 5.18.0-1.mga6
+ Revision: 921264
- New version 5.18.0

* Mon Dec 21 2015 neoclust <neoclust> 5.17.0-2.mga6
+ Revision: 912980
- Rebuild against Qt 5.6.0 Beta

* Sun Dec 13 2015 neoclust <neoclust> 5.17.0-1.mga6
+ Revision: 909842
- New version 5.17.0

* Tue Nov 10 2015 neoclust <neoclust> 5.16.0-4.mga6
+ Revision: 900523
- Rebuild against fixed qtbase5

* Mon Nov 09 2015 neoclust <neoclust> 5.16.0-3.mga6
+ Revision: 899426
- Rebuild against fixed extra-cmake-modules

* Sun Nov 08 2015 neoclust <neoclust> 5.16.0-2.mga6
+ Revision: 898908
+ rebuild (emptylog)

* Sun Nov 08 2015 neoclust <neoclust> 5.16.0-1.mga6
+ Revision: 898746
- New version 5.16.0

* Mon Oct 26 2015 neoclust <neoclust> 5.15.0-2.mga6
+ Revision: 895637
- Fix karchive devel name

* Fri Oct 09 2015 neoclust <neoclust> 5.15.0-1.mga6
+ Revision: 888148
- New version 5.15.0

* Sat Sep 19 2015 neoclust <neoclust> 5.14.0-1.mga6
+ Revision: 881372
- New version 5.14.0

* Tue Aug 11 2015 neoclust <neoclust> 5.13.0-1.mga6
+ Revision: 862930
- New version 5.13.0
- New version 5.13.0

* Tue Aug 11 2015 neoclust <neoclust> 5.12.0-2.mga6
+ Revision: 862613
- Plasma Mass Rebuild - Rebuild for new kf5-macros

* Tue Jul 14 2015 neoclust <neoclust> 5.12.0-1.mga6
+ Revision: 853778
- New version 5.12.0

* Tue Jun 23 2015 neoclust <neoclust> 5.11.0-1.mga6
+ Revision: 841553
- New version 5.11.0

* Tue Dec 16 2014 neoclust <neoclust> 5.5.0-1.mga5
+ Revision: 803340
- New version 5.5.0

* Wed Oct 15 2014 umeabot <umeabot> 5.1.0-3.mga5
+ Revision: 741737
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 5.1.0-2.mga5
+ Revision: 680932
- Mageia 5 Mass Rebuild

* Thu Aug 07 2014 neoclust <neoclust> 5.1.0-1.mga5
+ Revision: 660411
- New version 5.1.0

* Tue Jul 08 2014 neoclust <neoclust> 5.0.0-1.mga5
+ Revision: 650524
- New version 5.0.0

* Wed Jul 02 2014 neoclust <neoclust> 4.100.0-1.mga5
+ Revision: 642086
- New version 4.100.0
- New version 4.99.0

* Fri Apr 04 2014 sander85 <sander85> 4.98.0-2.mga5
+ Revision: 611620
- Rebuild to fix BS problem (not an rpm package (or package manifest))

* Wed Apr 02 2014 neoclust <neoclust> 4.98.0-1.mga5
+ Revision: 611257
- New version 4.98.0

* Wed Mar 05 2014 neoclust <neoclust> 4.97.0-1.mga5
+ Revision: 599682
- New version 4.97.0

* Sun Feb 16 2014 neoclust <neoclust> 4.96.0-1.mga5
+ Revision: 593023
- New version 4.96.0

* Sun Feb 09 2014 neoclust <neoclust> 4.95.0-2.mga5
+ Revision: 587434
- Add Build deps

* Sun Feb 09 2014 neoclust <neoclust> 4.95.0-1.mga5
+ Revision: 587277
- imported package karchive

